org.bouncycastle.crypto.params

## Class ParametersWithRandom

- java.lang.Object
- - org.bouncycastle.crypto.params.ParametersWithRandom

All Implemented Interfaces:
  CipherParameters

    public class ParametersWithRandom
    extends java.lang.Object
    implements CipherParameters

### Constructor Summary

Constructors
Constructor and Description
`ParametersWithRandom(CipherParameters parameters)`
`ParametersWithRandom(CipherParameters parameters, java.security.SecureRandom random)`

### Method Summary

Methods
`CipherParameters` `getParameters()`
`java.security.SecureRandom` `getRandom()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParametersWithRandom

    public ParametersWithRandom(CipherParameters parameters,
                        java.security.SecureRandom random)

#### ParametersWithRandom

    public ParametersWithRandom(CipherParameters parameters)

### Method Detail

#### getRandom

    public java.security.SecureRandom getRandom()

#### getParameters

    public CipherParameters getParameters()